package com.jesuspinar.gestorFichero;

import java.io.File;

public class Util {
	
	public static void listDIR(String path) {
		File f = new File(path);
		if(f.isDirectory()) {
			System.out.println(f.getAbsolutePath());
			listItemsArgs(f);
		}
	}
	
	public static void listItems(File f){
		String[] items = f.list();
		for(String i : items) {
			System.out.println(i);
		}
	}
	public static void listItemsArgs(File f){
		File[] items = f.listFiles();
		StringBuilder sb = new StringBuilder();
		for(File i : items) {
			if(i.isDirectory()) {
				sb.append("d");
			}
			if(i.canRead()) {
				sb.append("-r");
			}		
			if(i.canWrite()) {
				sb.append("-w");					
			}
			if(i.canExecute()) {
				sb.append("-x");
			}
			System.out.printf("%s %s\n", sb.toString(), i.getName());
			sb.setLength(0);
		}
	}
}
